com.hazelcast.config

## Class ManagementCenterConfig

- java.lang.Object
- - com.hazelcast.config.ManagementCenterConfig

-     public class ManagementCenterConfig
      extends Object

  Contains the configuration for a Management Center.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagementCenterConfig()`
    `ManagementCenterConfig(String url, int dataUpdateInterval)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MCMutualAuthConfig` | `getMutualAuthConfig()` Gets a property.
    `int` | `getUpdateInterval()` Gets the time frequency (in seconds) for which Management Center will take information from the Hazelcast cluster.
    `String` | `getUrl()` Gets the URL where management center will work.
    `boolean` | `isEnabled()` `true` if management center is enabled, `false` if disabled.
    `boolean` | `isScriptingEnabled()` Returns if scripting is allowed (`true`) or disallowed (`false`).
    `ManagementCenterConfig` | `setEnabled(boolean enabled)` Set to `true` to enable management center, `false` to disable.
    `ManagementCenterConfig` | `setMutualAuthConfig(MCMutualAuthConfig mutualAuthConfig)` Sets the management center mutual auth config
    `ManagementCenterConfig` | `setScriptingEnabled(boolean scriptingEnabled)` Enables/disables scripting on the member.
    `ManagementCenterConfig` | `setUpdateInterval(int updateInterval)` Sets the time frequency (in seconds) for which Management Center will take information from the Hazelcast cluster.
    `ManagementCenterConfig` | `setUrl(String url)` Sets the URL where management center will work.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagementCenterConfig

          public ManagementCenterConfig()

    - #### ManagementCenterConfig

          public ManagementCenterConfig(String url,
                                        int dataUpdateInterval)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      `true` if management center is enabled, `false` if disabled.
      Returns:
        `true` if management center is enabled, `false` if disabled

    - #### setScriptingEnabled

          public ManagementCenterConfig setScriptingEnabled(boolean scriptingEnabled)

      Enables/disables scripting on the member. Management center allows to send a script for execution to a member. The script can access the unerlying system Hazelcast member is running on with permissions of user running the member. Disabling scripting improves the member security.

      Default value for this config element depends on Hazelcast edition: `false` for Hazelcast Enterprise, `true` for Hazelcast (open source).

      Parameters:
        `scriptingEnabled` - `true` to allow scripting on the member, `false` to disallow
      Returns:
        this management center config instance
      Since:
        3.12

    - #### isScriptingEnabled

          public boolean isScriptingEnabled()

      Returns if scripting is allowed (`true`) or disallowed (`false`).

    - #### setEnabled

          public ManagementCenterConfig setEnabled(boolean enabled)

      Set to `true` to enable management center, `false` to disable.
      Parameters:
        `enabled` - `true` to enable management center, `false` to disable
      Returns:
        this management center config instance

    - #### getUrl

          public String getUrl()

      Gets the URL where management center will work.
      Returns:
        the URL where management center will work

    - #### setUrl

          public ManagementCenterConfig setUrl(String url)

      Sets the URL where management center will work.
      Parameters:
        `url` - the URL where management center will work
      Returns:
        this management center config instance

    - #### getUpdateInterval

          public int getUpdateInterval()

      Gets the time frequency (in seconds) for which Management Center will take information from the Hazelcast cluster.
      Returns:
        the time frequency (in seconds) for which Management Center will take information from the Hazelcast cluster

    - #### setUpdateInterval

          public ManagementCenterConfig setUpdateInterval(int updateInterval)

      Sets the time frequency (in seconds) for which Management Center will take information from the Hazelcast cluster.
      Parameters:
        `updateInterval` - the time frequency (in seconds) for which Management Center will take information from the Hazelcast cluster
      Returns:
        this management center config instance

    - #### setMutualAuthConfig

          public ManagementCenterConfig setMutualAuthConfig(MCMutualAuthConfig mutualAuthConfig)

      Sets the management center mutual auth config
      Parameters:
        `mutualAuthConfig` - the mutual auth config
      Returns:
        the updated ManagementCenterConfig
      Throws:
        `NullPointerException` - if mutualAuthConfig `null`

    - #### getMutualAuthConfig

          public MCMutualAuthConfig getMutualAuthConfig()

      Gets a property.
      Returns:
        the value of the property, null if not found
      Throws:
        `NullPointerException` - if name is `null`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2019. All rights reserved.